
Name: libopensync-plugin-gpe
Version: 0.36
Release: alt3

Summary: Gpe plugin for opensync
License: %lgpl2plus
Group: System/Libraries
URL: http://www.opensync.org/
Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %name-%version.tar.bz2
Patch1: libopensync-plugin_gpe-from-r3165-to-r3215.diff
Requires: libopensync = %version

BuildRequires: cmake gcc-c++ glib2-devel libxml2-devel pkg-config zlib-devel rpm-build-licenses
BuildRequires: libopensync-devel = %version

%description
This plugin allows applications using GPE to synchronise.

%prep
%setup -q
%patch1 -p2

%build
mkdir build
cd build
cmake -D CMAKE_INSTALL_PREFIX:PATH=%_prefix \
	-D OPENSYNC_LIBEXEC_DIR=%_libexecdir/opensync-1.0 \
%if %{_lib} == lib64
	-D LIB_SUFFIX=64 \
%endif
    -D CMAKE_SKIP_RPATH:BOOL=TRUE ../

%make_build

%install
pushd build
%make_install install DESTDIR=%buildroot
popd

%files
%doc AUTHORS BUGS ChangeLog COPYING README HOWTO
%_libdir/opensync-1.0/plugins/gpe-sync.so
%_datadir/opensync-1.0/defaults/gpe-sync

%changelog
* Wed Aug 20 2008 Alexey Shabalin <shaba@altlinux.ru> 0.36-alt3
- fix only (#16695), no more

* Sun Aug 17 2008 Alexey Shabalin <shaba@altlinux.ru> 0.36-alt2.svn3215
- fix bug which caused use of <command>	to blank value from <username> (#16695)

* Tue Jan 29 2008 Alexey Shabalin <shaba@altlinux.ru> 0.36-alt1
- 0.36 release for developers
- change Packager

* Mon Jan 21 2008 Alexey Shabalin <shaba@altlinux.ru> 0.35-alt1
- 0.35 release for developers
- remove devel package

* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.22-alt1
- 0.22

* Mon Feb 12 2007 Alexey Shabalin <shaba@altlinux.ru> 0.21-alt1
- 0.21
- cleanup spec (drop cvs)

* Wed Nov 08 2006 Alexey Shabalin <shaba@altlinux.ru> 0.20-alt1
- release 0.20

* Tue Oct 03 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt2
- release 0.19

* Thu Sep 21 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt1cvs20060921
- svn version 20060921
- add devel package

* Mon May 29 2006 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt2cvs20060529
- svn version 20060529

* Tue Nov 22 2005 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt1
- 0.18 release
- build for Sisyphus
- add Packager SynCE Development Team

* Fri Sep 30 2005 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt0.1.cvs20050930
- Initial package
